Templates

List templates

GET
/preset/templates

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Query Parameters

search?|

Filter templates by name (case-insensitive substring match).

Defaultnull
type?|

Filter templates by preset type. Only returns templates that contain at least one preset of the given type.

Defaultnull
sort_by?Sort By

Sort by field: 'name' or 'created_at'.

Default"created_at"
Value in"name""created_at"
order?Order

Sort order: 'asc' or 'desc'.

Default"desc"
Value in"asc""desc"
ownership?|

Filter by ownership: 'mine' (own), 'shared' (via groups), 'default' (system).

Defaultnull

Response Body

Successful Response

application/json
  1. response
categories*array<>
curl -X GET "https://example.com/preset/templates"
{  "categories": [    {      "id": "string",      "name": "string",      "description": "string",      "thumbnail_url": "string",      "visibility": "shared",      "created_by": "string",      "created_at": "string",      "swatch_source": null,      "preset_count": 0,      "preset_types": [        "flat_2_model"      ],      "groups": [        "string"      ],      "preset_previews": [        {          "preset_code": "string",          "name": "string",          "preview_url": null,          "framing": null,          "angle": null        }      ]    }  ]}